### Method

# Gtk Widget get_display

#### Declaration [src]

    GdkDisplay*
    gtk_widget_get_display (
      GtkWidget* widget
    )

#### Description [src]

Get the `GdkDisplay` for the toplevel window associated with this widget.

This function can only be called after the widget has been added to a widget hierarchy with a `GtkWindow` at the top.

In general, you should only create display specific resources when a widget has been realized, and you should free those resources when the widget is unrealized.

#### Return value

Type: `GdkDisplay`

The `GdkDisplay` for the toplevel for this widget.

The returned data is owned by the instance.